[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TFrame.LCLVersion

LCL version number for the frame instance.

## Declaration

Source position: forms.pp line 373

`published property TFrame.LCLVersion : string read FLCLVersion write FLCLVersion stored LCLVersionIsStored;`

## Description

The value in LCLVersion is assigned in the Create constructor using the lcl_version constant defined in the lclversion.pas unit. Its value is stored during LCL component streaming if the ComponentState indicates the TFrame instance was instantiated at design-time (csDesignInstance).

## See also

TFrame.LCLVersion |  | LCL version number for the frame instance.
TFrame.Create |  | Constructor for the class instance.
lcl_version |  | LCL version string.
TComponent.ComponentState